Description

I run QGIS 2.18.7-1 on Win7 64bit installed by the OSGeo4W network installer with the additional Libs otb-bin 5.0.0-20150530-1.

The OTB modules do not show up in the Processing Toolbox menu anymore. 

OTB is activated in Processing > Options > Providers. The paths to the folders of OTB application and the OTB command line tools are

set correctly.

History

#1 - 2017-05-17 11:55 AM - Hans Fuchs

Solution: 

in the OSGeo4W setup for Advanced Installation install the previous version 1.11.3-1 of the gdal111dll (backward compability package) instead of the

current selected version 2.0.3-1. Then, OTB modules can be used via the Processing Toolbox.

How can I contribute to integrate actual OTB 6.0.0 into OSGeo4W? OTB 5.0.0 binaries are now almost two years old.

Kind regards

#2 - 2017-05-17 12:08 PM - Jürgen Fischer

Hans Fuchs wrote:

How can I contribute to integrate actual OTB 6.0.0 into OSGeo4W? OTB 5.0.0 binaries are now almost two years old.

Kind regards

OSGeo4W Developer information, esp. packaging instruction for osgeo4w.  The OTB package has also a source package (which contains is actually the

build recipe)

#3 - 2017-05-17 12:16 PM - Jürgen Fischer

Hans Fuchs wrote:

1.11.3-1 of the gdal111dll (backward compability package) instead of the current selected version 2.0.3-1. Then, OTB modules can be used via the

Processing Toolbox.

Added gdal111dll dependency to otb-bin and made gdal111dll 2.0.3-1 experimental.
https://trac.osgeo.org/osgeo4w/wiki/WikiStart#OSGeo4WPackagerDeveloperInformation
https://trac.osgeo.org/osgeo4w/wiki/PackagingInstructions
http://download.osgeo.org/osgeo4w/x86_64/release/orfeotoolbox/otb-bin/otb-bin-5.0.0-20150617-1-src.tar.bz2


#4 - 2017-05-17 01:12 PM - Giovanni Manghi

Jürgen Fischer wrote:

Hans Fuchs wrote:

1.11.3-1 of the gdal111dll (backward compability package) instead of the current selected version 2.0.3-1. Then, OTB modules can be used via

the Processing Toolbox.

Added gdal111dll dependency to otb-bin and made gdal111dll 2.0.3-1 experimental.

Hi Jurgen, does this means we can close this?

#5 - 2017-05-17 02:32 PM - Hans Fuchs

- Status changed from Open to Closed

Hi Giovanni and Jürgen,

it works now, thanks for the fix. You may close it.

#6 - 2017-05-17 02:34 PM - Giovanni Manghi

- Resolution set to fixed/implemented

2024-04-28 2/2


